#!/bin/bash

CMD_1=$1
CMD_2=$2

EDGE_EXE="/mnt/c/Program Files (x86)/Microsoft/Edge/Application/msedge.exe"
TEAMS_EXE="/mnt/c/Users/144311/AppData/Local/Microsoft/Teams/Update.exe"

check_command ()
{
	if [ -z "$CMD_1" ] 
	then
		echo no argument was given
		exit
	else 
		if [ "$CMD_1" == "deepl" ] 
		then 
			exec "$EDGE_EXE" www.deepl.com &
		elif [ "$CMD_1" == "draw" ] 
		then 
			exec "$EDGE_EXE" www.draw.io &
		elif [ "$CMD_1" == "citrix" ] 
		then 
			exec "$EDGE_EXE" https://unityapps.arrow.com/Citrix/StoreWeb/ &
		elif [ "$CMD_1" == "teams" ] 
		then 
			exec "$TEAMS_EXE" --processStart "Teams.exe" &
		else 
			echo "Command not found : $CMD_1"
		fi
	fi	
}

check_command
exit
